## apparmor 2.9.2

=== debian/changelog ===
apparmor (2.9.2-3) unstable; urgency=medium

  * Mark reproducible-pdf.patch as forwarded upstream.
  * debian/rules: improve handling of the unversioned link in /usr to the
    shared library; the new implementation doesn't cause needless version
    churn in debian/rules when new releases that touch libapparmor are
    incorporated into the packaging. Thanks to Steve Beattie
    <steve@nxnw.org> for the patch!
  * Upload to unstable.

 -- intrigeri <intrigeri@debian.org>  Fri, 08 May 2015 21:43:41 +0200

apparmor (2.9.2-2) experimental; urgency=medium

  * libapache2-mod-apparmor.postrm: on package purge, delete
    /etc/apparmor.d/{,disable} if empty (Closes: #766750).
  * Add reproducible-pdf.patch: make techdoc.pdf reproducible even
    in face of timezone variations.

 -- intrigeri <intrigeri@debian.org>  Sun, 03 May 2015 11:57:58 +0200

apparmor (2.9.2-1) experimental; urgency=medium

  * Merge Ubuntu changes up to 2.9.1-0ubuntu9, including:
    - New upstream 2.9.1 release (Closes: #770788, #771400)
    - Replace unnecessary $remote_fs dependency with $local_fs
      (Closes: #782700)
  * Import new 2.9.2 upstream release (Closes: #670305, #777034).
  * Don't install the usr.sbin.cupsd example profile: it is shipped
    and enabled by the cups-daemon package already.
  * Install the /etc/apparmor.d/tunables/{home,multiarch}.d
    directories from upstream.
  * Install the sbin.dhclient-script and usr.lib.RealPlayer10.realplay
    example profiles in /usr/share/doc/apparmor-profiles/extras/.
  * debian/apparmor.install: sort entries in lexical order.
  * debian/rules: pass --no-start to dh_installinit since we're handling
    reloading profiles manually in the postinst scripts.
  * Drop patches applied upstream:
    - add-mir-abstraction-lp1422521.patch
    - systemd-dev-log-lp1413232.patch
    - parser-fix_modifier_compilation_+_tests.patch
    - tests-fix_systemd_breakage_in_pivot_root-lp1436109.patch
    - GDM_X_authority-lp1432126.patch
    - easyprof-framework-policy.patch.
  * debian/copyright: remove obsolete paragraph about
    profiles/apparmor-profiles.spec.in.
  * Override the init.d-script-missing-dependency-on-remote_fs Lintian
    warning for the apparmor binary package: the current theory is that
    only the click package bits need /usr upon startup.
  * Enable the bindnow hardening flag during build.
  * libapparmor-dev: install libapparmor.so link in /usr/lib, not in /lib,
    as dictated in Debian Policy section 8.4 (Development files).

 -- intrigeri <intrigeri@debian.org>  Thu, 30 Apr 2015 12:46:44 +0200

apparmor (2.9.1-0ubuntu9) vivid; urgency=medium

  * Make debian/lib/apparmor/profile-load executable.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 02 Apr 2015 13:00:35 -0500

apparmor (2.9.1-0ubuntu8) vivid; urgency=medium

  [ Steve Beattie ]
  * debian/rules: run make check on the libapparmor library
  * add-chromium-browser.patch: add support for chromium policies
    (LP: #1419294)
  * debian/apparmor.{init,upstart}: add support for triggering
    aa-profile-hook runs when packages are updated via snappy system
    image updates (LP: #1434143)
  * parser-fix_modifier_compilation_+_tests.patch: fix compilation
    of audit modifiers for exec and pivot_root and deny modifiers on
    link rules as well as significantly expand related tests
    (LP: #1431717, LP: #1432045, LP: #1433829)
  * tests-fix_systemd_breakage_in_pivot_root-lp1436109.patch: work
    around pivot_root test failures due to init=systemd (LP: #1436109)
  * GDM_X_authority-lp1432126.patch: add location GDM creates Xauthority
    file to X abstraction (LP: #1432126)

  [ Jamie Strandboge ]
  * easyprof-framework-policy.patch: add --include-templates-dir and
    --include-policy-groups-dir options to easyprof to support framework
    policy on snappy

  [ Robie Basak ]
  * Add /lib/apparmor/profile-load; moved from
    /lib/init/apparmor-profile-load from the upstart package. A wrapper at
    the original path is now provided by init-system-helpers. (LP: #1432683)

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 28 Mar 2015 07:22:30 -0500

apparmor (2.9.1-0ubuntu7) vivid; urgency=medium

  * systemd-dev-log-lp1413232.patch: Allow writes to the systemd journal
    socket /{,var}/run/systemd/journal/dev-log. This can be dropped with
    with AppArmor 2.9.2. (LP: #1413232)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Mar 2015 06:22:34 -0600

apparmor (2.9.1-0ubuntu6) vivid; urgency=medium

  * add-mir-abstractions-lp1422521.patch: add correct location of
    mir specific libraries and mir unprivileged client socket
    to mir abstraction (LP: #1422521)

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 03 Mar 2015 10:42:24 -0800

apparmor (2.9.1-0ubuntu5) vivid; urgency=medium

  * debian/apparmor.init: Replace unnecessary $remote_fs dependency with
    $local_fs. This is sufficient as during boot we don't use anything from
    /usr. It's also necessary to avoid dependency cycles when using NFS (as
    its dependencies should be covered by AppArmor). (LP: #1312976)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Mar 2015 08:54:33 +0100

apparmor (2.9.1-0ubuntu4) vivid; urgency=medium

  * Update to apparmor 2.9.1
    - make parser mount rule options consistent with documentation
      (LP: #1401619)
    - make parser fail if unknown mount options are encountered
      (LP: #1401621)
    - stop aa-logprof from asking about already allowed network rules
      (LP: #1380367)
    - make utils offer abstractions for network rules (LP: #1380367)
    - make libapparmor understand logs generated by syslog-ng
      (LP: #1399027)
    - stop python utilities from adding duplicate quotes (LP: #1328707)
    - work around aa-cleanprof crashes (LP: #1382236)
    - other bug fixes, performance improvements, and testcases added to
      the python utils.
    - policy updates for dnsmasq, nscd, and others
    - translation updates
  * Partial sync with debian apparmor package:

