## apparmor 2.10

=== debian/changelog ===
apparmor (2.10-4) unstable; urgency=medium

  * Team upload.
  * Backport latest nameservice abstraction. (Closes: #813835)
    - Allows reading resolv.conf from NetworkManager and systemd-networkd.
    - Add nameservice-abstraction.patch

 -- Felix Geyer <fgeyer@debian.org>  Tue, 29 Mar 2016 22:30:30 +0200

apparmor (2.10-3) unstable; urgency=medium

  * Team upload.

  [ intrigeri ]
  * Drop libapparmor-mention-dbus-method-in-getcon-man.patch (Closes: #800132)

  [ Felix Geyer ]
  * Update python abstraction for python 3.5.
    - Pull r3277-update-python-abstraction.patch from upstream

 -- Felix Geyer <fgeyer@debian.org>  Mon, 25 Jan 2016 22:50:13 +0100

apparmor (2.10-2) unstable; urgency=medium

  [ Felix Geyer ]
  * Apply aa-status-dont_require_python3-apparmor.patch, to keep
    the hard dependencies of the apparmor binary package minimal.
  * python{,3}-apparmor: require at least the same upstream version
    of python{,3}-libapparmor.
  
  [ intrigeri ]
  * Drop abstractions-ubuntu-browsers.patch: integrated upstream
    (in a slightly different way).
  * debian/control: don't start short description with capital letter.
    (Closes: #795434)
  * r3227-locale-indep-capabilities-sorting.patch: cherry-pick from upstream,
    to make (more of?) the build reproducible. (Closes: #797415)
  * Merge from ubuntu-citrain up to revision 1578, that is changes brought
    by 2.10-0ubuntu3 to 2.10-0ubuntu6.
  * Upload to unstable.

 -- intrigeri <intrigeri@debian.org>  Tue, 18 Aug 2015 09:48:54 +0200

apparmor (2.10-1) experimental; urgency=medium

  [ intrigeri ]
  * Merge ubuntu-citrain up to revision 1575, except:
    - previously documented changes
    - debian/patches/aa-status-dont_require_python3-apparmor.patch:
      don't apply, only relevant for Ubuntu Phone
  * debian/patches/r3209-dnsmasq-allow-dash: cherry-pick from upstream.
  * debian/patches/pass-compiler-flags.patch: refresh.
  * Update upstream signing key.
  * apparmor-utils: make the Depends on python3-apparmor versioned.
    (Closes: #785436)
  * Override the "apparmor source: usr-lib-perl5-mentioned rules" error.
    We replace usr/lib/perl5 with the corresponding multiarch path
    in debian/rules, as a consequence this file contains this string.
  * python-apparmor, python3-apparmor: add Lintian overrides for
    the extended-description-is-probably-too-short tag.
  * debian/control: stuff out a bit apparmor-utils' extended description.
  
  [ Felix Geyer ]
  * Add Brazilian Portuguese translation of debconf messages.
    Thanks to Adriano Rafael Gomes. (Closes: #788342)
  * Use dh_apparmor from this source package for apparmor-profiles.
    (Closes: #656451)
  * Make debian/rules safer:
    - Add set -e to loops.
    - Use "&&" when chaining shell commands.

 -- intrigeri <intrigeri@debian.org>  Thu, 13 Aug 2015 23:42:10 +0200

apparmor (2.10-0ubuntu6) wily; urgency=medium

  * debian/libapparmor-dev.manpages: add 5 missing libapparmor manpages
    (LP: #1491147, LP: #1384431)

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 01 Sep 2015 14:17:16 -0700

apparmor (2.10-0ubuntu4) wily; urgency=medium

  * Rebuild against python3.5.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 15 Aug 2015 22:12:50 +0100

apparmor (2.10-0ubuntu3) wily; urgency=medium

  * debian/patches/parser-fix-cache-file-mtime-regression.patch: Fix a bug
    that resulted in the mtime of generate policy cache files to be set
    incorrectly. The mtime of cache files should be the newest mtime detected
    on the profile and abstraction files used to generate the policy cache
    file. However, the bug caused the mtime of the policy cache file to either
    not be updated or to be updated to an incorrect time. (LP: #1484178)
  * debian/patches/parser-verify-cache-file-mtime.patch: Add tests to verify
    that the policy cache file's mtime is being set correctly and that cache
    handling is correct when the profile or abstraction files are newer than
    the policy cache file.
  * debian/patches/parser-run-caching-tests-without-apparmorfs.patch,
    debian/patches/parser-do-cleanup-when-test-was-skipped.patch: Enable the
    caching tests to run on the buildds even though apparmorfs isn't mounted.

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 12 Aug 2015 13:01:56 -0500

apparmor (2.10-0ubuntu2) wily; urgency=medium

  * debian/patches/aa-status-dont_require_python3-apparmor.patch:
    make aa-status(8) work even when python3-apparmor is not installed,
    otherwise dh_apparmor postinst snippets can fail (LP: #1480492)
  * debian/control: make apparmor-utils depend on the same package
    version of python3-apparmor

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 31 Jul 2015 16:35:03 -0700

apparmor (2.10-0ubuntu1) wily; urgency=medium

  * Update to apparmor 2.10
    - libapparmor added functions to ease loading profile cache files to
      help support systemd on-demand load of policy (LP: #1385414)
    - apparmor parser: fixed policy generation to allow matching
      embedded NULs in abstract unix socket names (LP: #1413410)
    - aa-status: don't traceback when not permitted to read current
      set of apparmor policy (LP: #1466768)
    - aa-logprof: don't crash on policies that have an #include of a
      directory (LP: #1471425)
    - aa-logprof: fix crash when network rejections occur when file
      operations are performed on network sockets (LP: #1466812)
  * dropped reproducible-pdf.patch, incorporated upstream
  * debian/patches/tests-fix_sysctl_test.patch: fix sysctl test failure
    with 4.1 kernel and newer.
  * debian/control: add alternate dependency on linux-initramfs-tool
    (LP: #1109029)
  * debian/libapparmor1.symbols: update symbols file for added symbols
    in libapparmor

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 23 Jul 2015 01:57:43 -0700

apparmor (2.9.2-0ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition


