=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Breaks: libapache2-mod-apparmor (<< 2.5.1-0ubuntu3), apparmor-utils (<< 2.8.0-0ubuntu28), libvirt-bin (<< 1.2.6-0ubuntu6~), apparmor-easyprof-ubuntu (<< 1.2.22), rsyslog (<< 7.4.4-1ubuntu9~)
 Replaces: apparmor-parser, libapache2-mod-apparmor (<< 2.5.1-0ubuntu3), apparmor-utils (<< 2.8.0-0ubuntu28)
 Suggests: apparmor-profiles, apparmor-profiles-extra, apparmor-docs, apparmor-utils
-Description: User-space parser utility for AppArmor
+Description: user-space parser utility for AppArmor
  This provides the system initialization scripts needed to use the
  AppArmor Mandatory Access Control system, including the AppArmor Parser
  which is required to convert AppArmor text profiles into machine-readable
@@ -38,16 +38,17 @@
 
 Package: apparmor-utils
 Architecture: any
-Depends: apparmor (>= 2.6.1-4ubuntu1), libapparmor-perl, python3-apparmor, ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python3:Depends}
+Depends: apparmor (>= 2.6.1-4ubuntu1), libapparmor-perl, python3-apparmor (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python3:Depends}
 Suggests: apparmor-docs, vim-addon-manager
-Description: Utilities for controlling AppArmor
+Description: utilities for controlling AppArmor
  This provides the utilities to operate on AppArmor profiles. Profiles
- can be created, updated, enforced, set to complain mode, and disabled.
+ can be created, updated, enforced, set to complain mode, and disabled
+ with tools such as aa-genprof, aa-enforce, aa-complain and aa-disabled.
 
 Package: apparmor-profiles
 Architecture: all
 Depends: apparmor (>= 2.8.96~2535-0ubuntu1~), ${misc:Depends}
-Description: Profiles for AppArmor Security policies
+Description: profiles for AppArmor Security policies
  This provides various AppArmor profiles that have not been shipped by
  the packages they provide confinement for. By default, they ship in
  complain mode so that users can test and choose which are desired.
@@ -56,7 +57,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Description: Documentation for AppArmor
+Description: documentation for AppArmor
  This package provides some technical documentation for the AppArmor
  Mandatory Access Control system. Currently this is only a single
  PDF covering basic operation, written some time ago.
@@ -142,7 +143,7 @@
 Package: python-apparmor
 Section: python
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-libapparmor, python-pkg-resources
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-libapparmor (>= ${source:Upstream-Version}), python-pkg-resources
 Breaks: apparmor-utils ( << 2.8.95~2385-0ubuntu1 )
 Replaces: apparmor-utils ( << 2.8.95~2385-0ubuntu1 )
 XS-Python-Version: ${python:Versions}
@@ -153,7 +154,7 @@
 Package: python3-apparmor
 Section: python
 Architecture: any
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-libapparmor, python3-pkg-resources
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-libapparmor (>= ${source:Upstream-Version}), python3-pkg-resources
 Breaks: apparmor-easyprof ( << 2.8.95~2385-0ubuntu1 ), apparmor-utils ( << 2.8.95~2385-0ubuntu1 )
 Replaces: apparmor-easyprof ( << 2.8.95~2385-0ubuntu1 ), apparmor-utils ( << 2.8.95~2385-0ubuntu1 )
 XS-Python-Version: ${python3:Versions}
