=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	# Build perl
 	dh_auto_build -D libraries/libapparmor
 	# Build pythons
-	for py in $(shell pyversions -s) $(shell py3versions -s) ; do \
+	set -e && for py in $(shell pyversions -s) $(shell py3versions -s) ; do \
 		cp -a $(CURDIR)/libraries/libapparmor $(CURDIR)/libraries/libapparmor.$$py && \
 		PYTHON=/usr/bin/$$py dh_auto_configure \
 			-D libraries/libapparmor.$$py -- --with-python && \
@@ -52,7 +52,7 @@
 	dh_auto_test -Dparser -- V=1
 endif
 	dh_auto_test -Dlibraries/libapparmor -- V=1
-	for py in $(shell pyversions -s) $(shell py3versions -s) ; do \
+	set -e && for py in $(shell pyversions -s) $(shell py3versions -s) ; do \
 		PYTHON=/usr/bin/$$py dh_auto_test \
 			-D libraries/libapparmor.$$py -- PYTHON=/usr/bin/$$py; \
 	done
@@ -67,7 +67,7 @@
 	cd $(CURDIR)/libraries/libapparmor && \
 		[ ! -f Makefile ] || $(MAKE) distclean
 	# Clean up rest of build.
-	for i in utils parser profiles changehat/mod_apparmor \
+	set -e && for i in utils parser profiles changehat/mod_apparmor \
 		  changehat/pam_apparmor ; do \
 		[ ! -f $$i/Makefile ] || $(MAKE) -C $$i clean; \
 		rm -f $$i/common; \
@@ -85,11 +85,11 @@
 
 override_dh_auto_install:
 	# Utils
-	cd utils; $(MAKE) \
+	cd utils && $(MAKE) \
 	    DESTDIR=$(CURDIR)/debian/tmp \
 	    install
 
-	for py in $(shell pyversions -s) $(shell py3versions -s) ; do \
+	set -e && for py in $(shell pyversions -s) $(shell py3versions -s) ; do \
 		(cd utils.$$py && PYTHON=/usr/bin/$$py $(MAKE) \
 	    	DESTDIR=$(CURDIR)/debian/tmp \
 	    	install) ; \
@@ -99,38 +99,38 @@
 ifneq (,$(filter $(DEB_HOST_ARCH_OS), kfreebsd knetbsd hurd ))
 	install -D -m 755 $(CURDIR)/debian/non-linux/apparmor_parser \
 		$(CURDIR)/debian/tmp/sbin/apparmor_parser
-	cd parser; $(MAKE) \
+	cd parser && $(MAKE) \
 	    DESTDIR=$(CURDIR)/debian/tmp \
 	    install-indep
 else
-	cd parser; $(MAKE) \
+	cd parser && $(MAKE) \
 	    DESTDIR=$(CURDIR)/debian/tmp \
 	    install
 endif
 
 	# Changehat via libapparmor
-	cd libraries/libapparmor; $(MAKE) \
+	cd libraries/libapparmor && $(MAKE) \
 	    DESTDIR=$(CURDIR)/debian/tmp \
 	    install
 	# fixup rpath for libapparmor-perl
 	find $(CURDIR)/debian/tmp/$(PERL_VENDORARCH) -name '*.so' | xargs chrpath --delete
 
 	# Install python swig modules
-	for py in $(shell pyversions -s) $(shell py3versions -s); do \
+	set -e && for py in $(shell pyversions -s) $(shell py3versions -s); do \
 		PYTHON=/usr/bin/$$py \
 		$(MAKE) -C libraries/libapparmor.$$py \
 		DESTDIR=$(CURDIR)/debian/tmp install; \
 	done
 
 	# Changehat via mod_apparmor
-	cd changehat/mod_apparmor; $(MAKE) \
+	cd changehat/mod_apparmor && $(MAKE) \
 	    DESTDIR=$(CURDIR)/debian/tmp \
 	    install
 	# Fix rpath in mod_apparmor.so
 	chrpath -d $(CURDIR)/debian/tmp/usr/lib/apache2/modules/mod_apparmor.so
 
 	# Changehat via libpam-apparmor
-	cd changehat/pam_apparmor; $(MAKE) \
+	cd changehat/pam_apparmor && $(MAKE) \
 	    DESTDIR=$(CURDIR)/debian/tmp \
 	    install
 	# Fix rpath in pam_apparmor.so
@@ -139,7 +139,7 @@
 	# Profiles
 	# We'd like to keep site.local from being a conffile
 	rm ./profiles/apparmor.d/tunables/xdg-user-dirs.d/site.local
-	cd profiles; $(MAKE) \
+	cd profiles && $(MAKE) \
 	    DESTDIR=$(CURDIR)/debian/tmp \
 	    EXTRAS_DEST=$(CURDIR)/debian/tmp/usr/share/doc/apparmor-profiles/extras \
 	    install
@@ -168,11 +168,9 @@
 	dh_apache2 --noenable
 
 override_dh_install:
-	for profile in $(shell grep ^etc/apparmor.d/ $(CURDIR)/debian/apparmor-profiles.install | \
+	set -e && for profile in $(shell grep ^etc/apparmor.d/ $(CURDIR)/debian/apparmor-profiles.install | \
 			 cut -d/ -f3- | grep -v /); do \
-	    if [ -x /usr/bin/dh_apparmor ]; then \
-	        dh_apparmor --profile-name=$$profile -papparmor-profiles; \
-	    fi; \
+	    DH_AUTOSCRIPTDIR=debian/debhelper/ perl debian/debhelper/dh_apparmor --profile-name=$$profile -papparmor-profiles; \
 	done
 	sed -i -e 's,usr/lib/perl5,$(PERL_VENDORARCH),g' \
 	    $(CURDIR)/debian/tmp/etc/apparmor/logprof.conf \
